/* NickServ special help texts.
 *
 * Services is copyright (c) 1996-1998 Andy Church.
 *     E-mail: <achurch@dragonfire.net>
 * This program is free but copyrighted software; see the file COPYING for
 * details.
 */

/*************************************************************************/

static const char *ns_servadmin_help[] = {
"",
"The following commands are available to Services admins:",
"",
"    GETPASS    Retrieve the password for a nickname",
"                   (only if encryption is disabled)",
"    FORBID     Prevent a nickname from being used",
"",
"Services admins can also drop any nickname without needing",
"to identify via password, and may view the access list for",
"any nickname (\2/msg NickServ ACCESS LIST \37nick\37\2).",
NULL
};

/*************************************************************************/

static const char *oper_drop_help[] = {
"Syntax: \2DROP [\37nickname\37]\2",
"",
"Without a parameter, drops your nickname from the",
"NickServ database.",
"",
"With a parameter, drops the named nick from the database.",
"This use limited to \2Services Admin\2.",
NULL
};

/*************************************************************************/

static const char *oper_list_help[] = {
"Syntax: \2LIST \37pattern\37\2",
"",
"Lists all registered nicknames which match the given",
"pattern, in \37nick!user@host\37 format.  Nicks with the",
"PRIVATE option set will only be displayed to Services",
"admins.",
"",
"Examples:",
"",
"    \2LIST *!joeuser@foo.com\2",
"        Lists all nicks owned by joeuser@foo.com.",
"",
"    \2LIST *Bot*!*\2",
"        Lists all registered nicks with Bot in their",
"        names (case insensitive).",
"",
"    \2LIST *!*@*.bar.org\2",
"        Lists all nicks owned by users in the bar.org",
"        domain.",
NULL
};

/*************************************************************************/

static const char *getpass_help[] = {
"Syntax: \2GETPASS \37nickname\37\2",
"",
"Returns the password for the given nickname.  \2Note\2 that",
"whenever this command is used, a message including the",
"person who issued the command and the nickname it was used",
"on will be logged and sent out as a GLOBOPS.",
"Limited to \2Services Admin\2.",
NULL
};

/*************************************************************************/

static const char *forbid_help[] = {
"Syntax: \2FORBID \37nickname\37\2",
"",
"Disallows a nickname from being registered or used by",
"anyone.  May be cancelled by dropping the nick.",
"Limited to \2Services Admin\2.",
NULL
};

/*************************************************************************/
